Name:           e2guardian
Version:        5.0.0beta
Release:        0.beta2%{?dist}
Summary:        Web content filter
License:        GPLv2
URL:            http://e2guardian.org/
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.service
Source2:        %{name}.logrotate

BuildRequires:  automake
BuildRequires:  openssl-devel
BuildRequires:  pcre-devel
BuildRequires:  zlib-devel
BuildRequires:  systemd
Requires(pre):  shadow-utils
%{?systemd_requires}

%description
E2guardian is an Open Source web content filter, It filters the actual content
of pages based on many methods including phrase matching, request  header and
URL filtering, etc. It does not purely filter based on a banned list of sites.

%prep
%setup -q
chmod -x COPYING LICENSE ChangeLog README.md UPGRADING

%build
./autogen.sh
%configure --with-proxyuser=%{name} --with-proxygroup=%{name} \
  --enable-clamd \
  --enable-icap \
  --enable-commandline \
  --enable-trickledm \
  --enable-ntlm \
  --enable-sslmitm \
  --enable-dnsauth \
  --enable-email
#  --enable-avastd \
#  --enable-kavd \

%make_build


%install
%make_install
mkdir -p %{buildroot}%{_unitdir}
cp -p %SOURCE1 %{buildroot}%{_unitdir}/%{name}.service
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp -p %SOURCE2 %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
chmod -x %{buildroot}%{_docdir}/%{name}/*
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/certs/generatedcerts

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
    useradd -r -g %{name} -d /var/log/%{name} -s /sbin/nologin \
    -c "e2guardian service" %{name}
exit 0

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service


%files
%license COPYING LICENSE
%doc ChangeLog README.md UPGRADING
%config(noreplace) %{_sysconfdir}/%{name}/
%attr(0700,%name,%name) %{_sysconfdir}/%{name}/certs/generatedcerts
%config %{_sysconfdir}/logrotate.d/%{name}
%{_sbindir}/e2guardian
%{_docdir}/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man8/e2guardian.8*
%{_unitdir}/%{name}.service
%attr(-,%name,%name) %{_var}/log/%{name}


%changelog
* Sun Feb 18 2018 Daniel Berteaud <daniel@firewall-services.com> 5.0.0beta-0.beta2
- Add service and logrotate files (daniel@firewall-services.com)

* Sun Feb 18 2018 Daniel Berteaud <daniel@firewall-services.com> 5.0.0beta-0.beta1
- new package built with tito

* Sun Feb 18 2018 Daniel Berteaud <daniel@firewall-services.com> - 5.0.0beta-1
- Update to 5.0.0beta

* Wed Oct 18 2017 Orion Poplawski <orion@cora.nwra.com> - 4.1.3-1
- Update to 4.1.3

* Thu Aug 3 2017 Orion Poplawski <orion@cora.nwra.com> - 4.1.2-2
- Own certs directories

* Fri Jul 14 2017 Orion Poplawski <orion@cora.nwra.com> - 4.1.2-1
- Initial package
